機械学習(ML)ソリューションを提供する「MediaPipe」のインストール

ライブメディアとストリーミングメディア向けのクロスプラットフォームでカスタマイズ可能な、機械学習(ML)ソリューションとアプリケーションの構築を提供する「MediaPipe」のインストールについて解説しています。

「MediaPipe(https://github.com/google/mediapipe)」は、顔検出や物体検出などが行えます。なお、フリーでオープンソース、さらにカスタマイズ可能となっています。

■Python

今回のPythonのバージョンは、「3.8.5」を使用しています。(Windows10)(pythonランチャーでの確認)

■mediapipeをインストールする

mediapipeをインストールを行いますが、今回はpipを経由してインストールを行うので、まずWindowsのコマンドプロンプトを起動します。

pip install mediapipe

起動後、上記のコマンドを入力し、Enterキーを押します。

なお、今回は、pythonランチャーを使用しており、Python Version 3.8.5にインストールを行うために、pipを使う場合にはコマンドでの切り替えを行います。

py -3.8 -m pip install mediapipe

切り替えるために、上記のコマンドを入力し、Enterキーを押します。

Defaulting to user installation because normal site-packages is not writeable
Collecting mediapipe
Downloading mediapipe-0.8.9.1-cp38-cp38-win_amd64.whl (48.5 MB)
|████████████████████████████████| 48.5 MB 228 kB/s
Requirement already satisfied: numpy in c:\users\user_\appdata\roaming\python\python38\site-packages (from mediapipe) (1.21.5)
Requirement already satisfied: attrs>=19.1.0 in c:\users\user_\appdata\roaming\python\python38\site-packages (from mediapipe) (21.2.0)
Requirement already satisfied: absl-py in c:\users\user_\appdata\roaming\python\python38\site-packages (from mediapipe) (0.13.0)
Requirement already satisfied: protobuf>=3.11.4 in c:\users\user_\appdata\roaming\python\python38\site-packages (from mediapipe) (3.17.3)
Requirement already satisfied: matplotlib in c:\users\user_\appdata\roaming\python\python38\site-packages (from mediapipe) (3.4.2)
Collecting opencv-contrib-python
Downloading opencv_contrib_python-4.5.5.64-cp36-abi3-win_amd64.whl (42.2 MB)
|████████████████████████████████| 42.2 MB 2.2 MB/s
Requirement already satisfied: six>=1.9 in c:\users\user_\appdata\roaming\python\python38\site-packages (from protobuf>=3.11.4->mediapipe) (1.15.0)
Requirement already satisfied: kiwisolver>=1.0.1 in c:\users\user_\appdata\roaming\python\python38\site-packages (from matplotlib->mediapipe) (1.3.1)
Requirement already satisfied: cycler>=0.10 in c:\users\user_\appdata\roaming\python\python38\site-packages (from matplotlib->mediapipe) (0.10.0)
Requirement already satisfied: python-dateutil>=2.7 in c:\users\user_\appdata\roaming\python\python38\site-packages (from matplotlib->mediapipe) (2.8.1)
Requirement already satisfied: pyparsing>=2.2.1 in c:\users\user_\appdata\roaming\python\python38\site-packages (from matplotlib->mediapipe) (2.4.7)
Requirement already satisfied: pillow>=6.2.0 in c:\users\user_\appdata\roaming\python\python38\site-packages (from matplotlib->mediapipe) (8.2.0)
Installing collected packages: opencv-contrib-python, mediapipe
Successfully installed mediapipe-0.8.9.1 opencv-contrib-python-4.5.5.64

Enterキーを押すと、インストールが開始され、上記のように「Successfully installed」と表示されます。これが表示されれば、mediapipeが正常にインストールされたことになります。

なお、今回はmediapipeのバージョン0.8.9.1をインストールしました。

 

コメント

タイトルとURLをコピーしました